﻿@using Portal.Models.PO;
@using System;
@using System.Web.UI.WebControls
@using System.Linq;
@using System.Web;
@using System.Web.Mvc;
@using System.Collections.Generic;
@using Portal.Models.InvoiceAndPaymentInquiry;
@using System.Data;
@using Portal.Controllers;

@model Toyota.Common.Web.MVC.ModelHolder

@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@section SlidingBottomPaneContent {
    @Html.DevExpress().TextBox(
        settings =>
        {
            settings.Name = "txtContent";
            settings.Height = 100;
            settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        }).GetHtml()
}
@section StartupScript{
    @*OIPTermPaymentGridLookup.SetValue('ZD00');
        GridOIPTermPaymentGridLookup.SelectRowsByKey(new Array('ZD00'));
        OIPPaymentMethodGridLookup.SetValue('T');
        GridOIPPaymentMethodGridLookup.SelectRowsByKey(new Array('T'));
        OIPStatusOption.SetValue('Submitted');
        GridOIPStatusOption.SelectRowsByKey(new Array('Submitted'));*@
    OnOIPSearchButtonClick();
}
@section Script{
var SupplierCode = '';
var Currency = '';
var UploadDateFrom = '';
var UploadDateTo = '';
var InvoiceDateFrom = '';
var InvoiceDateTo = '';
var InvoiceNo = '';
var StatusCode = '';
var PlanPaymentDateFrom = '';
var PlanPaymentDateTo = '';
var Automatic = '';

var InvoiceDateParam = '';
var SupplierCodeParam = '';
var __firstLoad = true;
var ViewData = {} ;

ViewData["GridSupplierCode"] =  '@ViewData["GridSupplierCode"]';
ViewData["DateFrom"] =  '@ViewData["DateFrom"]'; 
ViewData["DateTo"] = '@ViewData["DateTo"]'; 


var __base =  @Html.Raw(HttpUtility.JavaScriptStringEncode(
                new Uri(
                   new Uri(this.Context.Request.Url.GetLeftPart(UriPartial.Authority)),
                   Url.Content("~/")
               ).ToString(), true));
var __mew = window.location.href.split("/")[0]; 
var __meb = __base.split("/")[0];
if (__mew !== __meb) 
    __base = __base.replace(__meb, __mew);

}

@section ScriptReferences{
<script src="@Url.Content("~/Content/js/InvoiceAndPaymentInquiry.js")" type="text/javascript"></script>
}

        <div style="display:table;border:1px solid #142B94; background-color:#DEECFD; padding:10px; width:98%">
            @Html.Action("PartialHeaderInvoiceInquiry", "InvoiceAndPaymentInquiry")
        </div>
        <div style="padding-top:6px;">
            @Html.Partial("InvoiceAndPaymentInquiryPartial", Model)
        </div>
        @Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "popupInquiryDetail";
    settings.HeaderText = "Invoice No : ";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(800);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(600);
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Modal = true;
    settings.CloseAction = CloseAction.CloseButton;
    settings.ClientSideEvents.Shown = "OnShowHandler";
    settings.SetContent(() =>
    {
        Html.RenderPartial("InvoiceAndPaymentDetail", Model);
    });
}).GetHtml()
        <style type="text/css">
            .fillerRow {
                display: inline-block;
                clear: both;
                height: 10px;
            }

            .lefto {
                float: left;
                clear: none;
                display: block;
                padding-left: 5px;
            }
        </style>

        @Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.Middle;
    settings.Name = "popupPost";
    settings.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialPartGridLookupEmergencyOrderCreation" };
    settings.HeaderText = "Invoice Verification";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(600);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.CloseAction = CloseAction.CloseButton;
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupPostInvoice", ViewData["PartGridLookup"]);
    });
}).GetHtml()

        @Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupProgress";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(300);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(150);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.CloseButton;
        settings.ShowPageScrollbarWhenModal = true;
        settings.SetContent(() =>
        {
            ViewContext.Writer.Write("<table cellpadding=\"2\" width=\"100%\" border=\"0\" style=\"padding-top:16px; padding-left:16px; padding-right:16px;\">");
            ViewContext.Writer.Write("<tr style=\"height:100%;text-align:center\">");
            ViewContext.Writer.Write("<td colspan=\"3\" class=\"thColumn\">");
            Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.Name = "IPMessageLabel";
                    edtSettings.EncodeHtml = false;
                    edtSettings.Text = "Download in progress<br />Please wait...";
                    edtSettings.ControlStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.True;
                    edtSettings.ControlStyle.Font.Bold = true;
                }).GetHtml();
            ViewContext.Writer.Write("</td></tr>");
            ViewContext.Writer.Write("<tr style=\"height:15px\"></tr>");
            ViewContext.Writer.Write("<tr><td align = \"center\" style=\"text-align:center;\">");
            Html.DevExpress().Image(
                setting =>
                {
                    setting.Name = "IPProgressImage";
                    setting.ImageUrl = "~/Content/Images/LoadingImage.gif";
                }).GetHtml();
            ViewContext.Writer.Write("</td>");
            ViewContext.Writer.Write("</tr></table>");
        });
    }).GetHtml()

        @Html.Common().DevExpress().MessageBoard(
    msettings =>
    {
        msettings.Name = "IIMessageBoard";
        msettings.BoardName = "InvoiceInquiry";
        msettings.Position = MessageBoardPosition.RIGHT;
    }
).GetHtml()
        <div id="errorDownloadContainer">
        </div>